import sqlite3

# připojení k SQLite-databázi
connection = sqlite3.connect('../monitory.sqlite')
cursor = connection.cursor()

# zpracování dat
cursor.execute(f'''
    SELECT DISTINCT support FROM monitory;
''')

html = '<select name="support">\n'
for s in sorted(cursor):
    #print(s)
    s = s[0]
    html += f'  <option value="{s}">{s}</option>\n'
html += '</select>\n'
print(html)

# uzavření spojení
cursor.close()
connection.close()
